#include<bits/stdc++.h>
using namespace std;
int T,n,m,v;
int input() {
	int x=0;
	char c=getchar();
	while(c<'0'||c>'9') {
		c=getchar();
	}
	while('0'<=c&&c<='9') {
		x=x*10+c-'0';
		c=getchar();
	}
	return x;
}
int main() {
	freopen("assign.in","r",stdin);
	freopen("assign.out","w",stdout);
	T=input();
	while(T--) {
		printf("0\n");
	}
	return 0;
}
